// Project Dino Runner
// Author: Pascal Monasse

#include "recorder.h"
#include <Imagine/Graphics.h>
#include <iostream>
using namespace Imagine;
using namespace std;

int main() {
    openWindow(w,h);
    // Q8, Q16, Q18
    Recorder R;
    int t=0;
    for(t=0; true; t++) {
        R.display(t);
        if(R.crash(t)) break; // Q18
        milliSleep(20);
        R.action(t);
    }
    cout << "Click to view the game, "
         <<  "then use arrow keys to move backward and forward" << endl;
    click();

    // Replay Q24
    int tReplay = t;
    while(true) {
        int i = getKey();
        if(i==KEY_LEFT && tReplay>0) {
            R.set(--tReplay);
            R.display(tReplay);
        }
        if(i==KEY_RIGHT && tReplay<t) {
            R.set(++tReplay);
            R.display(tReplay);
        }
    }
    endGraphics();
    return 0;
}
