#pragma once

// Q1
const int wDino=20;
const int hDino=30;
const int xDino=25;
const int w=512;
const int h=5*hDino;
const int hFloor=h-hDino;

const int tJump=20;
const int hJump=3*hDino;

const int hBall=3*hDino/4;
const int speedBall=8;

// Q10
class Ball {
    int tInit, xInit;
public:
    Ball();
    void set(int t, int x);
    int center(int t) const;
    bool reInit(int t, int xBase);
};

class Dino {
    int t; // time of jump start
public:
    Dino(); // Q2
    void jump(int t0);
    bool jumping(int t0) const;
    int altitude(int t0) const;
    bool crash(const Ball& b, int t0) const;
};
