#pragma once
#include "dino.h"

const int nBalls=3; // Q14

// Q19
struct Action {
    int t; // time of action
    int x; // position of ball, negative for jump action
    int i; // ball number, negative for jump action
};

class Recorder {
    Dino dino; // Q5
    Ball b[nBalls]; // Q14
    // Q20
    Action* actions;
    int n, nmax;
    void record(const Action& a);
public:
    Recorder();
    ~Recorder();
    void display(int t) const;
    void action(int t);
    bool crash(int t) const;

    void set(int t);
};

